from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.table import XCell

@runtime_checkable
class XMergeableCell(XCell, Protocol):
    def getRowSpan(self) -> int: ...
    def getColumnSpan(self) -> int: ...
    def isMerged(self) -> bool: ...
